Bug 122669 - Hang and crash on macOS when scrolling down in .DOC file
Summary: Hang and crash on macOS when scrolling down in .DOC file
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2019-01-12 05:03 UTC by chdiza
Modified: 2019-09-02 09:33 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chdiza 2019-01-12 05:03:17 UTC
Description:
On two different macOS machines (one High Sierra, one Mojave), LibreOfice 6.1.4 will hang and crash as soon as I start scrolling downward in a newly-opened .doc file.

LibreOffice 6.1.3 does NOT have this problem.

Steps to Reproduce:
1. I open any .doc file longer than one page and wait for it to appear on the screen.  I scroll downwards.

Actual Results:
Instantly the display gets garbled and then I see the spinning beach ball.  Then it will crash unless I force-quit the app first.

Expected Results:
There is no crash and the display is not garbled.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice 6.1.3 does NOT have this problem.
Comment 1 Alex Thurgood 2019-01-14 11:46:16 UTC
@chdiza : please try the latest available download from the LibreOffice download site. There was an issue with initial releases of the 6142 package that should ge fixed with the currently available download.

If you still have the problem, please report back here.
Comment 2 QA Administrators 2019-08-01 03:37:23 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-09-02 09:33:14 UTC
Dear chdiza,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp